Package net.sf.saxon.trans

## Class QuitParsingException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - javax.xml.transform.TransformerException
      - - net.sf.saxon.trans.XPathException
        - - net.sf.saxon.trans.QuitParsingException

- All Implemented Interfaces:
    `java.io.Serializable`

      public class QuitParsingException
      extends XPathException

  An exception used to signal that no more input is required from the parser, and that parsing can therefore be abandoned early (but without signaling any error to the user)
  See Also:
    Serialized Form

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class net.sf.saxon.trans.XPathException

      `XPathException.Circularity, XPathException.StackOverflow`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `QuitParsingException​(boolean notifiedByConsumer)` | Create a QuitParsingException

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `boolean` | `isNotifiedByConsumer()` |

    - ### Methods inherited from class net.sf.saxon.trans.XPathException

      `fromXmlProcessingError, getErrorCodeLocalPart, getErrorCodeNamespace, getErrorCodeQName, getErrorObject, getFailingExpression, getHostLanguage, getLocator, getXPathContext, hasBeenReported, isGlobalError, isReportableStatically, isStaticError, isSyntaxError, isTypeError, makeXPathException, maybeSetContext, maybeSetErrorCode, maybeSetFailingExpression, maybeSetLocation, setErrorCode, setErrorCodeQName, setErrorObject, setFailingExpression, setHasBeenReported, setHostLanguage, setHostLanguage, setIsGlobalError, setIsStaticError, setIsSyntaxError, setIsTypeError, setLocation, setXPathContext`

    - ### Methods inherited from class javax.xml.transform.TransformerException

      `getCause, getException, getLocationAsString, getMessageAndLocation, initCause, printStackTrace, printStackTrace, printStackTrace, setLocator`

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### QuitParsingException

          public QuitParsingException​(boolean notifiedByConsumer)

      Create a QuitParsingException
      Parameters:
        `notifiedByConsumer` - should be set to true if the exception was generating in the parsing thread in response to an interrupt from the consuming thread; in this case there is no need for the consuming thread to be notified of the termination (by sending a "stopper" item); and indeed, doing so causes the thread to hang. See bug 3080.

  - ### Method Detail

    - #### isNotifiedByConsumer

          public boolean isNotifiedByConsumer()